
#include <ocarina/library.h>
#include <ocarina/body.h>
#include <ocarina/gtk.h>
#include <ocarina/songlist.h>

#include <libsaria/library.h>
#include <libsaria/track.h>
#include <libsaria/print.h>

#include <list>
using namespace std;

static SongList library_list;
static struct SongListFuncs library_funcs;
static list <MenuItem> library_menu;

static void test()
{
	println("Test function!");
}

namespace ocarina
{

	void library::refresh()
	{
		library_list.clear();
		library_list.fill();
	}

	void library::init()
	{
		library_menu.push_back(MenuItem("Test", test));
		library_funcs.for_each = libsaria::library::for_each;
		library_funcs.size = libsaria::library::size;

		library_list.init("Library", &library_funcs, &library_menu);
		add_page(library_list.get_label(), library_list.get_window(), true);
		ocarina::library::refresh();
	}

};
